package com.zd.exam.domain;

import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

/**
 * Controller
 *
 * @author cyl
 * @date 2021/12/10
 */
public class ElPointsLoginfo  extends BaseEntity {

    /**
     * id
     */
    @ApiModelProperty(value = "积分日志ID")
    private Long id;

    /**
     * 关联积分列表id
     */
    @ApiModelProperty(value = "关联积分列表id")
    private Long pointsId;

    /**
     * 关联积分类型列表id
     */
    @ApiModelProperty(value = "关联积分类型列表id")
    private Long pointsType;

    /**
     * 分数
     */
    @ApiModelProperty(value = "分数")
    private Long points;

    /**
     * 剩余分数
     */
    @ApiModelProperty(value = "剩余分数")
    private Long surplusPoints;

    /**
     * 来源类型，用于区分来源的具体哪块
     */
    @ApiModelProperty(value = "来源类型，用于区分来源的具体哪块")
    private String channelType;

    /**
     * 关联渠道表id
     */
    @ApiModelProperty(value = "关联渠道表id")
    private Integer channelSource;

    /**
     * 奖励或消费信息内容
     */
    @ApiModelProperty(value = "奖励或消费信息内容")
    private String messageContent;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPointsId() {
        return pointsId;
    }

    public void setPointsId(Long pointsId) {
        this.pointsId = pointsId;
    }

    public Long getPointsType() {
        return pointsType;
    }

    public void setPointsType(Long pointsType) {
        this.pointsType = pointsType;
    }

    public Long getPoints() {
        return points;
    }

    public void setPoints(Long points) {
        this.points = points;
    }

    public Integer getChannelSource() {
        return channelSource;
    }

    public void setChannelSource(Integer channelSource) {
        this.channelSource = channelSource;
    }

    public String getMessageContent() {
        return messageContent;
    }

    public void setMessageContent(String messageContent) {
        this.messageContent = messageContent;
    }

    public Long getSurplusPoints() {
        return surplusPoints;
    }

    public void setSurplusPoints(Long surplusPoints) {
        this.surplusPoints = surplusPoints;
    }

    public String getChannelType() {
        return channelType;
    }

    public void setChannelType(String channelType) {
        this.channelType = channelType;
    }
}
